//=============================================================================
// HUDUR -> HudBDeathMatch
//
// The base Unreal Racing HUD class
//=============================================================================

class HudUR extends HudBDeathMatch;

#exec OBJ LOAD FILE=URInterfaceContent.utx

simulated function DrawHudPassC (Canvas C)
{
    if( URCar(PawnOwner) != None )
    {
        URCar(PawnOwner).ShowSpeed(C,LoadLevelActionFont());    //Speedometer
        C.SetDrawColor(255,0,0);
        C.DrawScreenText(string(CurHealth), 0.5, 0.5, DP_MiddleMiddle); //car health
        C.SetPos((C.ClipX/2), ((C.ClipY/2)*1.75));
        C.Font = GetMediumFontFor(C);
        C.DrawText("Gear: "$URCar(PawnOwner).Gear,false);   //current gear, might get moved to the URCar class?
        C.SetDrawColor(255,255,255);
        C.SetPos((C.ClipX/2)*0.4, ((C.ClipY/2)*1.5));
        C.Font = GetMediumFontFor(C);
        C.DrawText("Lap: "$URCar(PawnOwner).LapNumber,false);
    }
    else
    {
        Super.DrawHudPassC(C);
    }
}

simulated function DrawHudPassA (Canvas C)
{
    if( URCar(PawnOwner) != None )
    {
    }
    else
    {
        Super.DrawHudPassA(C);
    }
}

defaultproperties
{
}
